//---------------------------------------------------------------------------------------------
// Torque Game Builder
// Copyright (C) GarageGames.com, Inc.
//---------------------------------------------------------------------------------------------

// Creates the default cursor.
function createDefaultCursor ()
{//echo("createDefaultCursor()");
	$CurrentGuiCursor = new GuiCursor(NewCursor)
	{
		hotSpot = "14 12";
		renderOffset = "0 0";
		bitmapName = "../gui/images/Custom Cursor";
	};
	Canvas.setCursor($CurrentGuiCursor);
}

// Creates a squad member cursor.
function createSquadMemberCursor ()
{createDefaultCursor();return;		// HACK!
	$CurrentGuiCursor = new GuiCursor(NewCursor)
	{
		hotSpot = "14 12";
		renderOffset = "0 0";
		bitmapName = "~/gui/images/squadMemberCursor";
	};
	Canvas.showCursor();
	Canvas.setCursor(NewCursor);
}

// Creates a monster cursor.
function createMonsterCursor ()
{createDefaultCursor();return;		// HACK!
	$CurrentGuiCursor = new GuiCursor(NewCursor)
	{
		hotSpot = "14 12";
		renderOffset = "0 0";
		bitmapName = "~/gui/images/monsterCursor";
	};
	Canvas.showCursor();
	Canvas.setCursor(NewCursor);
}